Friday, 2 August 2013

upgrade to rails 4 and ruby 2

To upgrade your rails version to rails 4 is pretty easy just follow the below steps.

- I assume you have already rails installed in your system and also you are using rvm and ruby.
- If you are not using rvm i recomend you to use rvm. please check the link for rvm (http://rvm.io/)

open a terminal and follow the steps.

Step 1:
 rvm get head (to get the latest version of rvm)

Step 2:
 rvm install 2.0.0 (to install ruby)

Step 3:
 rvm use 2.0.0

Step 4:
 rvm gemset create rails4

Step 5:
 gem install rails

That's it to upgrade your rails version to rails 4 and ruby 2 in ubantu 12.04. Now if you run rails new new_app it will automatically create your rails application in rails 4 simple :)

Further if you want to use both rails 3 and and rails 4 you can create a .rvmrc file in your application and mention the gem set in that file.

echo "rvm ruby-1.8.7-p352@gemset" > .rvmrc


And inside the file mentioned your gem set. like

rvm use 2.0.0
rvm gemset use rails4

3 comments:

  1. Nice blog Sabyasachi.. It saved my time a lot.

    ReplyDelete
  2. It takes a lot time to run gem install rails, why is this so?

    ReplyDelete
  3. @debadatta it will take some time as it will pull and install all the default gems with rails 4.

    ReplyDelete